__gnu_parallel::__multiway_merge_3_variant_sentinel_switch< __sentinels, _RAIterIterator, _RAIter3, _DifferenceTp, _Compare >(3)

NAME
__gnu_parallel::__multiway_merge_3_variant_sentinel_switch< __sentinels, _RAIterIterator, _RAIter3, _DifferenceTp, _Compare > - Switch for 3-way merging with __sentinels turned off.

SYNOPSIS

  Public Member Functions
_RAIter3 operator() (_RAIterIterator __seqs_begin, _RAIterIterator __seqs_end, _RAIter3 __target, _DifferenceTp __length, _Compare __comp)

Detailed Description

  template<bool __sentinels, typename _RAIterIterator, typename _RAIter3, typename _DifferenceTp, typename _Compare>
struct __gnu_parallel::__multiway_merge_3_variant_sentinel_switch< __sentinels, _RAIterIterator, _RAIter3, _DifferenceTp, _Compare >" Switch for 3-way merging with __sentinels turned off. Note that 3-way merging is always stable!

Definition at line 752 of file multiway_merge.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.